utility-ht-0.0.5.1: Various small helper functions for Lists, Maybes, Tuples, Functions

Safe Haskell | Safe-Inferred

Data.Ord.HT

Synopsis

- comparing :: Ord b => (a -> b) -> a -> a -> Ordering
- limit :: Ord a => (a, a) -> a -> a
- inRange :: Ord a => (a, a) -> a -> Bool

# Documentation

comparing :: Ord b => (a -> b) -> a -> a -> Ordering Source

limit :: Ord a => (a, a) -> a -> aSource

`limit (lower,upper) x` restricts `x` to the range from `lower` to `upper`. Don't expect a sensible result for `lower>upper`.

inRange :: Ord a => (a, a) -> a -> Bool Source

`limit (lower,upper) x` checks whether `x` is in the range from `lower` to `upper`. Don't expect a sensible result for `lower>upper`.